跳转到主要内容
基础设施相关接口/联邦与 SSO
GETFederation起始版本 1.0同步需要认证

获取熔断器统计

获取聚合统计平台熔断断路器。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • platformIdString必填

    平台ID。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • platformIdString

    平台ID。

    示例: platform-abc123

  • totalRequestsInteger

    请求总数。

    示例: 1000

  • totalSuccessesInteger

    成功总数。

    示例: 950

  • totalFailuresInteger

    失败总数。

    示例: 50

  • totalCircuitedInteger

    熔断总次数。

    示例: 20

  • stateTransitionsInteger

    状态切换次数。

    示例: 4

请求地址

GET/api/v1/platforms/{platformId}/circuit-breaker/stats

/api/v1/platforms/{platformId}/circuit-breaker/stats

操作 ID

GetCircuitBreakerStats

永久链接

请求示例

curl -X GET '{host}/api/v1/platforms/{platformId}/circuit-breaker/stats' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "platformId": "platform-abc123",
  "totalRequests": 1000,
  "totalSuccesses": 950,
  "totalFailures": 50,
  "totalCircuited": 20,
  "stateTransitions": 4
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史